#### D.7.4.1 SL

Procedure from library `invar.lib` (see invar_lib).

Usage:
  SL(<int>)

Returns:
  SL(n) sets the current group to SL_n. The following global variables will be set:
  group of type <ring>
  groupideal of type <ideal>
  SLrep of type <matrix>
  reynolds of type <proc>
  The quotient of of `group` and `groupideal` is the coordinate ring of SL_n. The matrix `SLrep` will be set to the standard representation of SL_n. The basering will be set to 'group'.

Example:

    LIB "invar.lib";
    SL(3);
    Invar::group;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 9
    ==> //        block   1 : ordering dp
    ==> //                  : names    g(1) g(2) g(3) g(4) g(5) g(6) g(7) g(8) g(\
       9)
    ==> //        block   2 : ordering C
    groupideal;
    ==> groupideal[1]=g(3)*g(5)*g(7)-g(2)*g(6)*g(7)-g(3)*g(4)*g(8)+g(1)*g(6)*g(8)\
       +g(2)*g(4)*g(9)-g(1)*g(5)*g(9)+1
    print(SLrep);
    ==> g(1),g(2),g(3),
    ==> g(4),g(5),g(6),
    ==> g(7),g(8),g(9)

User manual for Singular version 4.4.1, 2025, generated by texi2html.